Skip to main content
GET
/
v1
/
sessions
/
all
/
status
List All Sessions Status
curl --request GET \
  --url https://api.anchorbrowser.io/v1/sessions/all/status \
  --header 'anchor-api-key: <api-key>'
import requests

url = "https://api.anchorbrowser.io/v1/sessions/all/status"

headers = {"anchor-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'anchor-api-key': '<api-key>'}};

fetch('https://api.anchorbrowser.io/v1/sessions/all/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "count": 123,
    "items": [
      {
        "session_id": "<string>",
        "status": "<string>",
        "created_at": "2023-11-07T05:31:56Z",
        "tags": [
          "<string>"
        ]
      }
    ]
  }
}
{
"error": {
"code": 123,
"message": "<string>"
}
}
{
"error": {
"code": 123,
"message": "<string>"
}
}

Authorizations

anchor-api-key
string
header
required

API key passed in the header

Query Parameters

tags
string

Comma-separated list of session tags to filter by. Sessions must contain all provided tags.

domains
string

Comma-separated list of domains to filter by. Sessions must contain all provided domains.

created_from
string<date-time>

Include sessions created at or after this timestamp (ISO 8601).

created_to
string<date-time>

Include sessions created at or before this timestamp (ISO 8601).

batch_id
string

Filter sessions by batch identifier.

task_initiated
boolean

Filter by whether the session was initiated by a task.

playground
boolean

Filter by whether the session is a playground session.

proxy
boolean

Filter by whether proxy was active for the session.

extra_stealth
boolean

Filter by whether extra stealth mode was active for the session.

profile_name
string

Filter sessions by browser profile name (case-insensitive partial match).

Response

Successfully retrieved status for all browser sessions

data
object